/*
 * UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2024 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */

 /* === Includes === */
#include <gtest/gtest.h>
#include <aixml/node.h>

/* Unit Under Test */
#include "constraint_analysis/constraint_analysis.h"

TEST(CAnalysis, initialization)
{
    Mattingly::constraint_analysis constraint_analysis_1();
};

TEST(CAnalysis, breakingRoll)
{
    Mattingly::constraint_analysis constraint_analysis_1;
    
    std::vector<double> W_over_S = { 150,160,170,180,190,200 };
    std::vector<double> C_L_data = { 0.8,0.9,1.0,1.1,1.2,1.3 };
    const double K1 = 0.047164;
    const double K2 = -0.00611;
    const double CD0 = 0.019369;
    std::vector<double> C_D_data = {};
    for (double Cl : C_L_data) { C_D_data.push_back(K1 * pow(Cl, 2) + K2 * Cl + CD0); };
    constraint_analysis_1.braking_roll(W_over_S, C_D_data, C_L_data);
};