# Introduction {#mainpage}
The tool _ecological\_assessment_ is one of the last modules in the UNICADO toolchain, serving as an assessment module executed after the aircraft sizing loop. As its name suggests, it is specifically designed to evaluate the ecological performance of your aircraft design. By using this tool, you gain the opportunity to contribute to the development of environmentally friendly aircraft, playing a part in shaping a sustainable future for aviation. ✈️🌱🌎

This module enables you to assess various ecological factors, including aircraft emission masses and their broader environmental impacts. These impacts are analyzed, for example, in terms of their contributions to climate change and air quality, helping you understand the environmental footprint of your design in a comprehensive way.

The _ecological\_assessment_ tool offers flexibility in how you approach these evaluations. You can choose to perform a complete life cycle assessment (LCA), which evaluates the environmental impact across the entire lifespan of the aircraft — from development and production through operation to end-of-life, including eventual disposal. Alternatively, if you're focusing on the operational phase, you can limit the analysis to the impact of the flown mission alone.

If you want to explore the details of the _ecological\_assessment_ module and discover how to optimize your aircraft designs for environmental sustainability, check out the next section of this documentation. The @subpage getting-started gives you a first insight into how to execute the tool. To understand how the tool works, the documentation is split into a @subpage softwarearchitecture section, where the structure of the module is described.

So let's get started! ✈️
