# Introduction {#mainpage}
The tool _propulsion_design_ is one of the core design tools in UNICADO. The overall goal is the design the propulsion based on... 
- the architecture (e.g. 2 turbofan at rear fuselage, 4 fuel cell prop engine over the front wing) set by the user and,
- the total required thrust and system off-takes.
This tool is exciting!🔥 because the propulsion is THE critical component providing the thrust or power, enabling to propel the aircraft forward and move through the skies.🌍

To give you a general taste, here are a few illustrations of possible concepts.
![](img/different_engines.svg)

The [getting started](getting_started.md) gives you a first insight in how to execute the tool and how it generally works. To understand how the tools works in detail, the documentation is split into a [engineering principles](engineering_principles.md) and a [software architecture](software_architecture.md) section. 

Prior to that, let's summarize what the tool can currently do and what is planned (terms like _method_ or _strategy_ will be explained in the sections):

| Engine type                  | Methods*                                             | Status     |
|------------------------------|------------------------------------------------------|------------|
|kerosene-powered turbofan     |Rubber(V2527-A5)/ Default/ Default/ Default/ Default  |running     |
|hydrogen-powered turbofan     |Rubber(V2527-H2)/ Default/ Default/ Default/ Default  |to be tested|
|kerosene-powered turboprop    |  |strategy integrated, but methods missing |
|hydrogen-powered turboprop    |  |strategy integrated, but methods missing |

(*) order: engine designer/ nacelle designer/ pylon designer/ propulsion integrator/ mass analyzer

So let's get started!

