# Introduction {#mainpage}
The systems design module calculates the mass and power requirement of the aircraft onboard systems. The systems are divided according to the ATA chapters. Models for the following systems exist:

* [ATA 21: Environmental Control System](\ref ATA21-ECS)
* [ATA 24: Electric System](\ref ATA24-electric)
* [ATA 25: Furnishing System](\ref ATA25-furnishing)
* [ATA 26: Fire Protectrion System](\ref ATA26-fire)
* [ATA 27: Flight Control System](\ref ATA27-flight-control)
* [ATA 28: Fuel System](\ref ATA28-fuel)
* [ATA 29: Hydraulic System](\ref ATA29-hydraulic)
* [ATA 30: Ice and Rain Protection System](\ref ATA30-ice-conventional)
* [ATA 32: Landing Gear System](\ref ATA32-gear)
* [ATA 33: Lighting System](\ref ATA33-lighting)
* [ATA 35: Oxygen System](\ref ATA35-oxygen)
* [ATA 36: Bleed Air System](\ref ATA36-bleed)
* [ATA 49: Auxiliary Power Unit (APU)](\ref ATA49-APU)
* [ATA 70: Engine (only used to account for power extraction efficiencies of the engine)](\ref ATA70-engine)
* [ATA XX: Remaining Consumers](\ref ATAXX-remaining)

[Getting Started](getting_started.md) will show you how to define the system architecture. The settings and calculation methods for the individual aircraft systems are explained in [Systems](systems.md) or you can follow one of the links above directly to the system. If you want to know how the systems design module works have a look at the [Software Architecture](software_architecture.md).
