/*
 * UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2024 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */


#ifndef LOW_WINGDESIGN_BWB_H_
#define LOW_WINGDESIGN_BWB_H_

#include <moduleBasics/module.h>
#include <moduleBasics/strategySelector.h>

namespace bwb {
namespace low {

class Wing : public Strategy {
 public:
  Wing(const std::shared_ptr<RuntimeIO>& rtIO);
  ~Wing() = default;

  void initialize();
  void run();
  void update();
  void report();
  void save();

  std::string selected_mass_mode;
  const std::shared_ptr<RuntimeIO>& rtIO;
};
}  // namespace low
}  // namespace bwb

#endif  // LOW_WINGDESIGN_BWB_H_
