/*
 * UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2024 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */

#ifndef ASPECT_RATIO_METHODS_H_
#define ASPECT_RATIO_METHODS_H_

#include <string>
using modes = std::string;

namespace user_defined {
double aspect_ratio(const double user_aspect_ratio);
}

namespace by_pitch_up_limit_function {
double aspect_ratio(const double sweep_at_quarter_chord);
}

double get_design_aspect_ratio(modes aspect_ratio_mode, const double user_aspect_ratio,
                               const double quarter_chord_sweep);
#endif  // ASPECT_RATIO_METHODS_H_