/*
 * UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2024 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */

#ifndef RELATIVE_KINK_POSITION_METHODS_H_
#define RELATIVE_KINK_POSITION_METHODS_H_
#include <iostream>
using modes = std::string;

namespace user_defined {
double relative_kink_position(const double user_relative_kink_position);
double trailing_edge_maximum_sweep(const double user_trailing_edge_maximum_sweep);
}  // namespace user_defined

namespace based_on_landing_gear_track {
double relative_kink_position(const double initial_relative_kink_position, const double relative_track_position_kink);
double trailing_edge_maximum_sweep(const double user_trailing_edge_maximum_sweep);
}  // namespace based_on_landing_gear_track

double get_design_relative_kink_position(modes relative_kink_position_mode, const double user_relative_kink_position,
                                         const double track_based_initial_relative_kink,
                                         const double track_relative_kink_position);

double get_design_maximum_inner_trailing_edge_sweep(modes relative_kink_position_mode,
                                                    const double user_max_inner_trailing_edge_sweep,
                                                    const double track_based_max_inner_trailing_edge_sweep);

#endif  // RELATIVE_KINK_POSITION_METHODS_H_